$ErrorActionPreference = 'Stop';

$packageName= 'invantive-data-hub'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.32.43.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.32.43.msi'
  softwareName = 'Invantive Data Hub'
  checksum = 'B9A55EF20B8F353A3D9ADB6BB3E81A74A16500092F3B4485016333A3AE105F87'
  checksumType = 'sha256'
  checksum64 = 'B9A55EF20B8F353A3D9ADB6BB3E81A74A16500092F3B4485016333A3AE105F87'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-data-hub-17.32.43-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
